# 酒店管理系统

## 1 背景说明

### 1.1  整体背景
  随着旅游业的发展,以及世界商贸活动的频繁举行，其周边行业如酒店、餐饮、娱乐等行业也日趋发达。其中酒店宾馆组织庞大、服务项目多、信息量庞大，传统的人工管理方式已经无法满足要求。此时需要借助于计算机来进行现代化信息管理，从而提高服务质量和管理水平，同时降低管理成本。
### 1.2  公司背景
  XXX大酒店是一家国际化连锁经营的大型酒店,分布在全国各大城市. 主要业务包括酒店、展览、购物、娱乐。公司一直致力于为客户提供高品质的住宿及相关服务.客户广泛分布在各行各业. 公司关注各项资源的发展及管理，拥有一大批经验丰富、训练有素的员工，为客户提供各项细致周到的服务.该公司希望信息化的管理手段对各项资源管理的把握力度不断扩大，提高服务质量,提高客户满意度,利用快捷的信息管理流程，使工作更加高效有序。
### 1.3 业务背景
  传统的酒店管理往往需要酒店管理人花大量时间和精力来处理顾客查询、顾客登记等等事务。而错误的查询、繁琐的登记和结账手续、费用的结算错误、空余客房不能及时提供等等问题，可能导致顾客的频繁投诉，从而影响酒店的出租率。这些问题都可以通过计算机辅助系统来解决。酒店管理的信息化，不仅是酒店现代化形象的标志，而且能够酒店员工的工作效率，加速资金周转、降低各项成本以及改善服务质量。并支持客户直接在线预订,为客户提供方便快捷的服务.

## 2 项目说明
### 2.1 问题说明
由于酒店的客房有不同的档次，所以需要能够对客房进行分类处理。同时为了方便对客房价格的设置，需要提供一个能够对不同档次的客房能够进行预订价格、预订折扣、计时最低价格等的设置。需要提供一个客房设置功能，用来设置酒店的所有客房信息。在设置客房信息时，应该提供对不同房间的实际价格、实际折扣的设置。特别重要的是能够对房间的状态以及是否可用进行设置，这样能够方便酒店对客房的及时管理。需要提供一个入住登记和结账功能，并且能够对客户的登记时间、离店时间、客户资料、入住房间等信息进行登记。需要提供一个预定中心，能够处理客户的各种预定，如电话预定、总台面约、网上预定以及领导安排等等预定方式。需要提供一个客户管理功能，从而实现对酒店的客户信息的统一管理。最后还需要提供一个业务统计报表功能，能够对酒店一年中每月的住宿率进行统计，然后生成柱状图进行显示。
### 2.2 用户期望
>酒店管理系统后台,供管理员管理系统之用
- 客房类型设置：
    - 新增客房类型 
    - 编辑已有客房类型
    - 删除客房类型等功能
- 客房设置：
    - 包括新增客房
    - 编辑已有客房
    - 删除客房等
- 操作员设置：
    - 新增操作员
    - 编辑已有操作员信息
    - 删除操作员信息
>酒店管理系统系统供酒店所有工作人员使用前台
- 入住登记：
    - 登记信息（姓名、身份证、手机号）
    - 客人信息（+性别、年龄、家庭住址、）
    - 费用信息
- 结账：
    - 通过房间号码进行退房结账
- 预订：
    - 新增预订信息
    - 修改预订信息
    - 删除预订信息
- 客户管理：
    - 新增客户信息
    - 编译已有客户信息
    - 删除客户信息等功能 
- 业务统计：
    - 来统计酒店的客房出租率
    - 以图形报表的形式来显示出租率信息
>酒店管理系统系统供酒店客户使用前台
- 浏览：
    - 酒店信息
    - 客房信息
- 用户管理：
    - 注册用户
    - 登录
    - 退出
    - 修改信息
- 预订：
    - 预订客房
    - 修改预订
    - 删除预订

    